## net.sf.saxon.regex
Class SurrogateRegexTranslator.SimpleCharClass

    java.lang.Object
      net.sf.saxon.regex.SurrogateRegexTranslator.CharClass
          net.sf.saxon.regex.SurrogateRegexTranslator.SimpleCharClass

Direct Known Subclasses:
  SurrogateRegexTranslator.CharRange, SurrogateRegexTranslator.Empty, SurrogateRegexTranslator.Property, SurrogateRegexTranslator.SingleChar, SurrogateRegexTranslator.WideSingleChar

Enclosing class:
  SurrogateRegexTranslator

    public abstract static class SurrogateRegexTranslator.SimpleCharClass

extends SurrogateRegexTranslator.CharClass

Simple Character Class - essentially, anything other than a Union or Subtraction between two character classes.

Constructor Summary
`SurrogateRegexTranslator.SimpleCharClass(int containsBmp, int containsNonBmp)` Create a SimpleCharClass

Method Summary
`abstract void` `inClassOutputBmp(FastStringBuffer buf)` Output a representation of the subset of this character class that's within the BMP, to a supplied buffer, using regex syntax that will be valid within a character class expression (that is, within square brackets)
`void` `outputBmp(FastStringBuffer buf)` Output a representation of the subset of this character class that's within the BMP, to a supplied buffer
`void` `outputComplementBmp(FastStringBuffer buf)` Output a representation of the subset of this character class that's outwith the BMP, to a supplied buffer.

Methods inherited from class net.sf.saxon.regex.SurrogateRegexTranslator.CharClass
`addNonBmpRanges, getContainsBmp, getContainsNonBmp, getSingleChar, output`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SurrogateRegexTranslator.SimpleCharClass

    public SurrogateRegexTranslator.SimpleCharClass(int containsBmp,
                                                    int containsNonBmp)

  Create a SimpleCharClass

  Parameters:
    `containsBmp` - true if the class includes BMP characters
    `containsNonBmp` - true if the class includes non-BMP characters

Method Detail

### outputBmp

    public void outputBmp(FastStringBuffer buf)

  Output a representation of the subset of this character class that's within the BMP, to a supplied buffer

  Specified by:
    `outputBmp` in class `SurrogateRegexTranslator.CharClass`
  Parameters:
    `buf` - the supplied buffer

### outputComplementBmp

    public void outputComplementBmp(FastStringBuffer buf)

  Output a representation of the subset of this character class that's outwith the BMP, to a supplied buffer. Must not call if containsBmp == ALL

  Specified by:
    `outputComplementBmp` in class `SurrogateRegexTranslator.CharClass`
  Parameters:
    `buf` - the supplied buffer

### inClassOutputBmp

    public abstract void inClassOutputBmp(FastStringBuffer buf)

  Output a representation of the subset of this character class that's within the BMP, to a supplied buffer, using regex syntax that will be valid within a character class expression (that is, within square brackets)

  Parameters:
    `buf` - the supplied buffer

Copyright (c) Saxonica Limited. All rights reserved.